Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class Srotm

    java.lang.Object
      org.netlib.blas.Srotm

    public class Srotm

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *     APPLY THE MODIFIED GIVENS TRANSFORMATION, H, TO THE 2 BY N MATRIX

     *
     *     (SX**T) , WHERE **T INDICATES TRANSPOSE. THE ELEMENTS OF SX ARE IN
     *     (DX**T)
     *
     *     SX(LX+I*INCX), I = 0 TO N-1, WHERE LX = 1 IF INCX .GE. 0, ELSE
     *     LX = (-INCX)*N, AND SIMILARLY FOR SY USING USING LY AND INCY.
     *     WITH SPARAM(1)=SFLAG, H HAS ONE OF THE FOLLOWING FORMS..
     *
     *     SFLAG=-1.E0     SFLAG=0.E0        SFLAG=1.E0     SFLAG=-2.E0
     *
     *       (SH11  SH12)    (1.E0  SH12)    (SH11  1.E0)    (1.E0  0.E0)
     *     H=(          )    (          )    (          )    (          )
     *       (SH21  SH22),   (SH21  1.E0),   (-1.E0 SH22),   (0.E0  1.E0).
     *     SEE  SROTMG FOR A DESCRIPTION OF DATA STORAGE IN SPARAM.
     *
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         number of elements in input vector(s)
     *
     *  SX     (input/output) REAL array, dimension N
     *         double precision vector with 5 elements
     *
     *  INCX   (input) INTEGER
     *         storage spacing between elements of SX
     *
     *  SY     (input/output) REAL array, dimension N
     *         double precision vector with N elements
     *
     *  INCY   (input) INTEGER
     *         storage spacing between elements of SY
     *
     *  SPARAM (input/output)  REAL array, dimension 5
     *     SPARAM(1)=SFLAG
     *     SPARAM(2)=SH11
     *     SPARAM(3)=SH21
     *     SPARAM(4)=SH12
     *     SPARAM(5)=SH22
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Field Summary
`static float` | `two`
`static float` | `zero`

Constructor Summary
`Srotm()`

Method Summary
`static void` | `srotm(int n, float[] sx, int _sx_offset, int incx, float[] sy, int _sy_offset, int incy, float[] sparam, int _sparam_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zero

    public static float zero

### two

    public static float two

Constructor Detail

### Srotm

    public Srotm()

Method Detail

### srotm

    public static void srotm(int n,
                             float[] sx,
                             int _sx_offset,
                             int incx,
                             float[] sy,
                             int _sy_offset,
                             int incy,
                             float[] sparam,
                             int _sparam_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD